Bug 1196784 - expat: [>=2.4.5] Fix to CVE-2022-25236 breaks biboumi, ClairMeta, jxmlease, libwbxml, openleadr-python, rnv, xmltodict
expat: [>=2.4.5] Fix to CVE-2022-25236 breaks biboumi, ClairMeta, jxmlease, l...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Security
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/325412/
:
Depends on: 1196871
Blocks: CVE-2022-25236
  Show dependency treegraph
 
Reported: 2022-03-05 06:52 UTC by David Anes
Modified: 2022-11-17 16:12 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Anes 2022-03-05 06:52:30 UTC
It appears the recent security update for expat has broken many systems.

See https://github.com/libexpat/libexpat/issues/572
Comment 1 Andreas Stieger 2022-03-05 07:53:55 UTC
So that would be bug CVE-2022-25236 / bug 1196025.
Your fix: https://build.opensuse.org/request/show/959577
Comment 3 Swamp Workflow Management 2022-03-15 14:24:42 UTC
SUSE-SU-2022:0842-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1196025,1196784
CVE References: CVE-2022-25236
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    expat-2.1.0-21.22.1
SUSE OpenStack Cloud Crowbar 8 (src):    expat-2.1.0-21.22.1
SUSE OpenStack Cloud 9 (src):    expat-2.1.0-21.22.1
SUSE OpenStack Cloud 8 (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Server 12-SP5 (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    expat-2.1.0-21.22.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    expat-2.1.0-21.22.1
HPE Helion Openstack 8 (src):    expat-2.1.0-21.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2022-03-15 14:25:15 UTC
openSUSE-SU-2022:0844-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1196025,1196784
CVE References: CVE-2022-25236
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    expat-2.2.5-3.19.1
Comment 5 Swamp Workflow Management 2022-03-15 14:33:17 UTC
SUSE-SU-2022:0844-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1196025,1196784
CVE References: CVE-2022-25236
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    expat-2.2.5-3.19.1
SUSE Manager Retail Branch Server 4.1 (src):    expat-2.2.5-3.19.1
SUSE Manager Proxy 4.1 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server for SAP 15 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Server 15-LTSS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Micro 5.1 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise Micro 5.0 (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    expat-2.2.5-3.19.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    expat-2.2.5-3.19.1
SUSE Enterprise Storage 7 (src):    expat-2.2.5-3.19.1
SUSE Enterprise Storage 6 (src):    expat-2.2.5-3.19.1
SUSE CaaS Platform 4.0 (src):    expat-2.2.5-3.19.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 David Anes 2022-03-15 16:29:40 UTC
All patches were sent to all codestreams. Closing...
Comment 8 Gianluca Gabrielli 2022-03-21 12:59:24 UTC
Hi David, could you please follow Stefan suggestion? Thanks
Comment 15 David Anes 2022-03-28 07:53:44 UTC
It seems everything is fixed now. Reassigning to Security.
Comment 20 Swamp Workflow Management 2022-03-31 16:16:26 UTC
SUSE-SU-2022:14934-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1196025,1196784
CVE References: CVE-2022-25236
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    expat-2.0.1-88.42.22.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    expat-2.0.1-88.42.22.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    expat-2.0.1-88.42.22.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    expat-2.0.1-88.42.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2022-04-19 22:24:09 UTC
SUSE-SU-2022:0844-2: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1196025,1196784
CVE References: CVE-2022-25236
JIRA References: 
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    expat-2.2.5-3.19.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Carlos López 2022-06-09 13:34:06 UTC
Should be done. Closing.
Comment 25 OBSbugzilla Bot 2022-06-18 22:40:05 UTC
This is an autogenerated message for OBS integration:
This bug (1196784) was mentioned in
https://build.opensuse.org/request/show/983632 Factory / python39
Comment 26 OBSbugzilla Bot 2022-06-20 12:40:02 UTC
This is an autogenerated message for OBS integration:
This bug (1196784) was mentioned in
https://build.opensuse.org/request/show/983936 Factory / python310
Comment 28 Swamp Workflow Management 2022-07-06 16:20:56 UTC
SUSE-SU-2022:2294-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1196025,1196026,1196168,1196169,1196171,1196784
CVE References: CVE-2022-25235,CVE-2022-25236,CVE-2022-25313,CVE-2022-25314,CVE-2022-25315
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    expat-2.4.4-150400.3.6.9
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    expat-2.4.4-150400.3.6.9

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 29 OBSbugzilla Bot 2022-09-10 23:05:03 UTC
This is an autogenerated message for OBS integration:
This bug (1196784) was mentioned in
https://build.opensuse.org/request/show/1002448 Factory / python38
Comment 30 OBSbugzilla Bot 2022-09-11 11:05:02 UTC
This is an autogenerated message for OBS integration:
This bug (1196784) was mentioned in
https://build.opensuse.org/request/show/1002501 Factory / python38